import { Subject } from 'rxjs';
/**
 * Provides i18n support for labels inside the calendar component.
 * @deprecated use i18n `coreCalendar` key instead
 */
export declare class CalendarI18nLabels {
    /** This is event that should be called, when labels are changed, to let component detect an changes. */
    readonly labelsChange: Subject<void>;
    /** Year selection aria label. Used on the button to navigate to the years view. */
    yearSelectionLabel: import("@fundamental-ngx/i18n").FdLanguageKey;
    /** Years range selection aria label. Used on the button to navigate to the years range view. */
    yearsRangeSelectionLabel: import("@fundamental-ngx/i18n").FdLanguageKey;
    /** Month selection aria label. Used on the button to navigate to the months view. */
    monthSelectionLabel: import("@fundamental-ngx/i18n").FdLanguageKey;
    /** Day selection aria label. Used on the button to navigate to the day view. */
    dateSelectionLabel: import("@fundamental-ngx/i18n").FdLanguageKey;
    /** Previous year aria label. Used on the button to switch to a previous year in the years view. */
    previousYearLabel: import("@fundamental-ngx/i18n").FdLanguageKey;
    /** Next year aria label. Used on the button to switch to a next year in the years view. */
    nextYearLabel: import("@fundamental-ngx/i18n").FdLanguageKey;
    /** Previous month aria label. Used on the button to switch to a previous month in the months view. */
    previousMonthLabel: import("@fundamental-ngx/i18n").FdLanguageKey;
    /** Next month aria label. Used on the button to switch to a next month in the months view. */
    nextMonthLabel: import("@fundamental-ngx/i18n").FdLanguageKey;
    /** Week number column label */
    weekColumnLabel: import("@fundamental-ngx/i18n").FdLanguageKey;
    /** Selected date label. Used on the selected day/month/year cell. */
    dateSelectedLabel: import("@fundamental-ngx/i18n").FdLanguageKey;
    /** Is used to describe present date */
    todayLabel: import("@fundamental-ngx/i18n").FdLanguageKey;
    /** Range start label. Used for date range selection */
    rangeStartLabel: import("@fundamental-ngx/i18n").FdLanguageKey;
    /** Range end label. Used for date range selection */
    rangeEndLabel: import("@fundamental-ngx/i18n").FdLanguageKey;
    /** Past days aria label. Used when days in the past are accessed */
    dayInPastLabel: import("@fundamental-ngx/i18n").FdLanguageKey;
    /** Past days aria label. Used when days in the past are accessed */
    closeCalendarLabel: import("@fundamental-ngx/i18n").FdLanguageKey;
    /** Calendar day view aria role description. */
    calendarDayViewDescription: import("@fundamental-ngx/i18n").FdLanguageKey;
    /** Calendar month view aria role description. */
    calendarMonthViewDescription: import("@fundamental-ngx/i18n").FdLanguageKey;
    /** Calendar years view aria role description. */
    calendarYearsViewDescription: import("@fundamental-ngx/i18n").FdLanguageKey;
    /** Calendar years range view aria role description. */
    calendarYearsRangeViewDescription: import("@fundamental-ngx/i18n").FdLanguageKey;
}
